using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using xabaraCOM;

public partial class WebXabara_user_flag : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        admin a = new admin();
        sqlServer sql = new sqlServer();
        javasrcipt js = new javasrcipt();

        a.check("|user|");

        string id = xabara.isNum(Request["id"]).ToString();

        string[] strValue = new string[1];
        strValue[0] = xabara.isNum(Request["fid"]).ToString();

        sql.log(a.uid, "admin", "锁定用户");

        js.div(false, "", "text", sql.update("XabaraUser", "@LoginFlag", strValue, "Uid=" + id), 350, 150, "default.aspx?page=" + Request.QueryString["page"] + "&level=" + Request.QueryString["level"], "goto");
    }
}
